/* ----- TABELA DE CORES ----------------------------------------------------------------------- */

:root {
	--espaco:		1.25rem;
	
	--bege:			#f7e9db;
	--bege-claro:	#fdf8f3;
	
}

/* ----- RESET --------------------------------------------------------------------------------- */

*,
*::before,
*::after {
	box-sizing: border-box;
	margin: 0;
	padding: 0;
}

html {
	font-size: 100%;
	-webkit-text-size-adjust: 100%;
}

body {
	line-height: 1.4;
	-webkit-font-smoothing: antialiased;
}

img,
picture,
video,
canvas,
svg {
	display: block;
	max-width: 100%;
}

input,
button,
textarea,
select {
	font: inherit;
}

p, h1, h2, h3, h4, h5, h6 {
	overflow-wrap: break-word;
}


/* ----- ELEMENTOS BÁSICOS --------------------------------------------------------------------- */

body {
	background: linear-gradient( 180deg,
		#1c0c2b 0%,
		#3c165a 35%,
		#692b7c 50%,
		#b05281 75%,
		#f2947a 85%,
		#f9b886 100%
	);
	color: #fff;
	min-height: 100dvh;
	position: relative;
	font-optical-sizing: auto;
}

a,
a:link,
a:visited {
	color: #fff;
	text-decoration: underline;
}


/* ----- TIPOGRAFIA ---------------------------------------------------------------------------- */

body,
button,
input,
select,
textarea {
	font-family: "Montserrat", sans-serif;
	font-size: 1.25rem;
	font-weight: 300;
}

body {
	line-height: 1.4;
}

strong {
	font-weight: 400;
}

/* ----- CÉU ----------------------------------------------------------------------------------- */

#sky {
    position: absolute;
    inset: 0;
    width: 100%;
    height: 100%;
	pointer-events: none;
}

/* ----- ESTRUTURA ----------------------------------------------------------------------------- */

main {
	position: relative;
	z-index: 1;
}

.container {
	max-width: 62.5rem;
	margin: auto;
	padding: var(--espaco);
}


/* ----- CABEÇALHO ----------------------------------------------------------------------------- */

header {}

#lua-crescente {
	background: url(../images/logotipo-horizontal.svg) no-repeat center center/cover;
	aspect-ratio: 1098/716;
	width: clamp(17.5rem, 9.75rem + 34.375vw, 31.25rem);
	height: auto;
	margin: calc( var(--espaco) * 2);
	margin-inline: auto;
	text-indent: -100000000px;
}

/* ----- CONTEÚDO ------------------------------------------------------------------------------ */

h1 {
	width: clamp(17.5rem, 90vw, 62.5rem);
	margin-bottom: calc( var(--espaco) * 6);
	margin-inline: auto;
	line-height: 1.1;
	font-family: "Fraunces", serif;
	font-weight: normal;
	font-size: clamp(28px, 2.9091px + 3.6364vw, 54px);
	text-align: center;
	text-wrap: balance;
}

h2 {
	margin-bottom: var(--espaco);
	margin-inline: auto;
	line-height: 1.2;
	font-family: "Fraunces", serif;
	font-weight: normal;
	font-size: clamp(1.25rem, 1.0227rem + 0.5455vw, 1.5rem);
	text-align: center;
	text-wrap: balance;
}

#servicos {
	display: grid;
	gap: calc( var(--espaco) * 4);
	grid-template-columns: 1fr;
}

@media (min-width: 900px) {

	#servicos {
		grid-template-columns: repeat(3, 1fr);
	}

}


/* ----- RODAPÉ -------------------------------------------------------------------------------- */

footer {
	background: url(../images/montains.svg) no-repeat center center/cover;
	aspect-ratio: 2400/518;
	width: 100%;
	height: auto;
	margin-top: calc( var(--espaco) * 2);
	position: relative;
    z-index: 1;
}